Skip to content

Update Settings Values

Update the values for specific settings. Vault only modifies the settings provided in the request while all other settings retain their current value.

PUT/api/{version}/configuration/settings/{type}
NameDescription
Content-Typeapplication/json
Acceptapplication/json (default) or application/xml
NameDescription
typeThe API name of the settings type to update. For example, security_settings__sys. Retrieve a list of all types available in your Vault with List Settings Types.
NameDescription
ignore_unknownWhen true, Vault ignores unknown setting names in the payload rather than returning an INVALID_SETTING error. Defaults to false.

In the body of the request, include a JSON settings array with the following information for each setting you wish to update:

NameDescription
group
required
The API name of the settings group. For example, documents.
setting
required
The API name of the setting to update. For example, enable_duplicate_content_detection.
value
required
The value to assign to the setting. This value must be a Boolean, String, or Number. Use Retrieve Settings Group Metadata or Retrieve Setting Metadata to verify the correct format for a specific setting.
curl -X PUT -H "Authorization: {AUTH_VALUE}" \
-H "Content-Type: application/json" \
-d '{
    "groups": [
        {
            "name": "general",
            "settings": [
                { "name": "enable_email_suppression_list", "value": "false" }
            ]
        },
        {
            "name": "email_summaries",
            "settings": [
                { "name": "max_notifications_per_type", "value": 20 }
            ]
        }
    ]
}' \
https://myvault.veevavault.com/api/v26.3/configuration/settings/email_settings__sys
{
    "responseStatus": "SUCCESS",
    "responseMessage": null,
    "errorCodes": null,
    "errorType": null
}

On SUCCESS, Vault updates the specified settings. If the ignore_unknown query parameter is set to true, Vault ignores any unknown setting names in the payload rather than returning an INVALID_SETTING error.